@-webkit-keyframes kenburns {
  0% {
    -webkit-transform: scale(1) translate(0, 0);
            transform: scale(1) translate(0, 0); }
  100% {
    -webkit-transform: scale(1.15) translate(-3%, -3%);
            transform: scale(1.15) translate(-3%, -3%); } }

@keyframes kenburns {
  0% {
    -webkit-transform: scale(1) translate(0, 0);
            transform: scale(1) translate(0, 0); }
  100% {
    -webkit-transform: scale(1.15) translate(-3%, -3%);
            transform: scale(1.15) translate(-3%, -3%); } }

main {
  overflow-x: clip;
  overflow-y: visible;
  position: relative; }

.hero {
  padding: clamp(6rem, 11vw, 15vw) 0 clamp(6rem, 6.5vw, 10vw);
  position: relative; }
  .hero__bg {
    position: absolute;
    left: 0;
    top: 18.5%;
    width: 100%;
    -webkit-transform: scaleX(-1);
        -ms-transform: scaleX(-1);
            transform: scaleX(-1);
    max-width: unset;
    z-index: -1; }
  .hero .container {
    padding-right: 0;
    display: grid;
    grid-template-columns: 38% 39%;
    -webkit-column-gap: 12.2%;
       -moz-column-gap: 12.2%;
            column-gap: 12.2%;
    position: relative;
    z-index: 2; }
    @media (max-width: 992px) {
      .hero .container {
        grid-template-columns: 1fr 35.5rem; } }
    @media (max-width: 768px) {
      .hero .container {
        grid-template-columns: 100%; } }
  .hero__title {
    margin-bottom: clamp(3rem, 5vw, 10rem); }
  .hero__desc > * {
    line-height: 1.55;
    margin-bottom: 2.8rem; }
  .hero__video {
    margin-top: -4rem; }
    .hero__video-placeholder {
      width: 100%;
      height: 100%;
      cursor: pointer;
      -o-object-fit: cover;
         object-fit: cover; }
    .hero__video-player video {
      width: 100%;
      height: auto;
      display: block; }
    .hero__video-play {
      position: absolute;
      top: 50%;
      left: 50%;
      -webkit-transform: translate(-50%, -50%);
          -ms-transform: translate(-50%, -50%);
              transform: translate(-50%, -50%);
      background: transparent;
      border: none;
      border-radius: 50%;
      width: 64px;
      height: 64px;
      display: -webkit-box;
      display: -webkit-flex;
      display: -ms-flexbox;
      display: flex;
      -webkit-box-align: center;
      -webkit-align-items: center;
          -ms-flex-align: center;
              align-items: center;
      -webkit-box-pack: center;
      -webkit-justify-content: center;
          -ms-flex-pack: center;
              justify-content: center;
      -webkit-transition: -webkit-transform 0.4s;
      transition: -webkit-transform 0.4s;
      -o-transition: transform 0.4s;
      transition: transform 0.4s;
      transition: transform 0.4s, -webkit-transform 0.4s;
      cursor: pointer; }
      .hero__video-play:hover {
        -webkit-transform: translate(-50%, -50%) scale(1.15);
            -ms-transform: translate(-50%, -50%) scale(1.15);
                transform: translate(-50%, -50%) scale(1.15);
        -webkit-filter: drop-shadow(0 0 0.5rem var(--color-white));
                filter: drop-shadow(0 0 0.5rem var(--color-white)); }

.producer {
  margin-bottom: clamp(3rem, 6.7vw, 15rem); }

.team {
  position: relative;
  margin-bottom: calc(-1 * clamp(6rem, 6vw, 10vw)); }
  .team .container {
    padding-block: clamp(6rem, 23.2vw, 30vw) clamp(6rem, 11.2vw, 18vw); }
  .team__title {
    margin-bottom: clamp(3rem, 2.5vw, 15rem); }
  .team__bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
       object-fit: cover;
    z-index: -1; }
  .team__desc {
    width: 48rem;
    max-width: 100%; }
    .team__desc > * {
      line-height: 1.55; }

.experience .container {
  display: grid;
  grid-template-columns: 50.5% 49.5%; }

.experience__signet {
  max-width: 8rem;
  margin-bottom: 2rem;
  margin-top: clamp(10vw, 14.5vw, 18vw); }

.experience__title {
  margin-bottom: 5.5rem;
  margin-top: 0; }

.experience__numbers {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 3.3rem 5rem; }

.experience__number-item {
  padding-right: 20%; }

.experience__number-desc {
  margin-top: 0.7rem; }

.experience__gallery {
  overflow: clip; }
  .experience__gallery-image {
    width: 100%;
    height: auto;
    display: block;
    -webkit-animation: kenburns 18s ease-in-out infinite alternate;
            animation: kenburns 18s ease-in-out infinite alternate; }

.certificates {
  margin-bottom: clamp(3rem, 6.2vw, 15rem); }
  .certificates .container {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
    row-gap: 4rem;
    background-color: var(--color-gray);
    padding: clamp(3rem, 4.7vw, 15rem) clamp(3rem, 4.7vw, 15rem) clamp(3rem, 5.5vw, 12rem); }
  .certificates__title {
    margin-bottom: 4rem; }
  .certificates__logos {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-flex: 0;
    -webkit-flex: 0 1 52%;
        -ms-flex: 0 1 52%;
            flex: 0 1 52%;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
            justify-content: space-between;
    padding-right: 7.3%;
    -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap; }
    .certificates__logos img {
      max-height: 7.2rem;
      width: auto;
      -o-object-fit: contain;
         object-fit: contain; }
  .certificates__content {
    padding-right: 7%;
    width: 30%; }
  .certificates__desc > * {
    line-height: 1.55; }

.cooperation {
  margin-bottom: clamp(3rem, 12.5vw, 35rem); }
  .cooperation__title {
    text-align: center;
    margin-bottom: 4rem; }
  .cooperation__desc {
    max-width: 80%;
    margin-inline: auto;
    text-align: center;
    margin-bottom: clamp(3rem, 4vw, 8rem); }
    .cooperation__desc > * {
      line-height: 1.55; }
  .cooperation__logos {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center;
    -webkit-box-pack: justify;
    -webkit-justify-content: space-between;
        -ms-flex-pack: justify;
            justify-content: space-between;
    -webkit-flex-wrap: wrap;
        -ms-flex-wrap: wrap;
            flex-wrap: wrap;
    row-gap: 4rem;
    max-width: 85%;
    margin-inline: auto; }
    .cooperation__logos img {
      max-height: 6.2rem;
      width: auto;
      -o-object-fit: contain;
         object-fit: contain; }

.history {
  position: relative;
  margin-inline: 3rem;
  border-radius: 1rem;
  padding-bottom: clamp(3rem, 5.25vw, 12rem); }
  .history .container {
    max-width: calc(50% + 640px);
    margin: initial;
    margin-left: auto;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    -webkit-flex-direction: row;
        -ms-flex-direction: row;
            flex-direction: row;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center; }
  .history::before {
    position: absolute;
    content: '';
    bottom: 0;
    left: 0;
    width: 100%;
    height: calc(100% - 6.8rem);
    background-color: var(--color-gray);
    z-index: -1;
    border-radius: 1rem; }
  .history__title {
    width: 22.5%;
    margin-top: 5rem; }
  .history-swiper {
    width: 80%;
    padding-top: 1rem;
    margin-left: -0.72rem;
    padding-left: 0.72rem; }
    .history-swiper::before {
      position: absolute;
      width: 100%;
      height: 0.2rem;
      content: '';
      background-color: var(--color-black);
      border-radius: 50%;
      left: 0;
      top: 6.9rem;
      -webkit-transform: translateY(-50%);
          -ms-transform: translateY(-50%);
              transform: translateY(-50%); }
  .history__img {
    width: 100%;
    height: auto;
    display: block;
    aspect-ratio: 9 / 6;
    margin-bottom: 1rem; }
  .history__year {
    margin-bottom: 2rem; }
  .history__desc > * {
    line-height: 1.55; }
  .history__item {
    width: 40.5%;
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
        -ms-flex-direction: column;
            flex-direction: column;
    position: relative;
    overflow: visible;
    padding-right: 16%; }
    .history__item::before {
      position: absolute;
      width: 1.4rem;
      height: 1.4rem;
      content: '';
      background-color: var(--color-black);
      border-radius: 50%;
      top: 6.7rem;
      -webkit-transform: translateY(-100%) translateX(-50%);
          -ms-transform: translateY(-100%) translateX(-50%);
              transform: translateY(-100%) translateX(-50%); }

.financing {
  padding-block: clamp(3rem, 5.9vw, 12rem) 0; }
  .financing__title {
    margin-bottom: 4rem; }
  .financing__desc {
    margin-bottom: 1.8rem; }
    .financing__desc > * {
      line-height: 1.55; }
  .financing__image {
    margin-top: 2rem; }
  .financing .container {
    display: grid;
    grid-template-columns: 20% 63%;
    -webkit-column-gap: 17%;
       -moz-column-gap: 17%;
            column-gap: 17%;
    -webkit-box-align: center;
    -webkit-align-items: center;
        -ms-flex-align: center;
            align-items: center; }

.about__ornament {
  margin-bottom: -2rem; }

/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
